Bug 1270160 - CVE-2015-7833 kernel: usbvision: crash on invalid USB device descriptors [fedora-all]
Summary: CVE-2015-7833 kernel: usbvision: crash on invalid USB device descriptors [fed...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2015-7833
TreeView+ depends on / blocked
 
Reported: 2015-10-09 07:25 UTC by Martin Prpič
Modified: 2016-05-05 10:03 UTC (History)
9 users (show)

Fixed In Version: kernel-4.2.7-200.fc22 kernel-4.2.7-300.fc23
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-16 09:52:19 UTC


Attachments (Terms of Use)
usbvision-null-deref.upstream.patch (1.81 KB, patch)
2015-11-26 03:05 UTC, Vladis Dronov
no flags Details | Diff

Description Martin Prpič 2015-10-09 07:25:38 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]

Comment 1 Martin Prpič 2015-10-09 07:25:46 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1270158,1270160

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1270158,1270160

Comment 2 Justin M. Forbes 2015-10-20 19:17:17 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.

Comment 3 Fedora Kernel Team 2015-11-23 17:08:46 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 4 Josh Boyer 2015-11-23 17:46:24 UTC
Moving to rawhide for now.  There is still no known fix that I'm aware of.

Comment 5 Vladis Dronov 2015-11-26 03:04:54 UTC
Proposed upstream patch: http://git.linuxtv.org/cgit.cgi/media_tree.git/commit/?id=fa52bd506f274b7619955917abfde355e3d19ffe
or: https://patchwork.linuxtv.org/patch/31912/

also will attach to the bug.

Comment 6 Vladis Dronov 2015-11-26 03:05:52 UTC
Created attachment 1099077 [details]
usbvision-null-deref.upstream.patch

Comment 7 Josh Boyer 2015-12-01 20:00:29 UTC
Fixed in git on all active Fedora branches.  Thanks for the patch!

Comment 8 Fedora Update System 2015-12-10 14:44:36 UTC
kernel-4.2.7-300.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ac9a19888e

Comment 9 Fedora Update System 2015-12-10 14:45:49 UTC
kernel-4.2.7-200.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c4ed00a68f

Comment 10 Fedora Update System 2015-12-11 06:00:51 UTC
kernel-4.2.7-300.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update kernel'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ac9a19888e

Comment 11 Fedora Update System 2015-12-11 19:57:23 UTC
kernel-4.2.7-200.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update kernel'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c4ed00a68f

Comment 12 Fedora Update System 2015-12-16 08:24:32 UTC
kernel-4.2.7-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-12-16 09:51:31 UTC
kernel-4.2.7-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-12-16 14:35:38 UTC
kernel-4.2.7-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.